English Amiga Board

English Amiga Board (http://eab.abime.net/index.php)
-   project.ClassicWB (http://eab.abime.net/forumdisplay.php?f=61)
-   -   Icon problem (http://eab.abime.net/showthread.php?t=92964)

TjLaZer 08 June 2018 06:37

Icon problem
 
I seem to have a problem where I cannot view some icons I created with OS 3.9. Even some on some Glow Icons, I get the big black dot. Even tried Peter K's icon.library and that did not do a thing (can that even be used?) What can I do to ensure I can view the glow icons properly?

AMIGASYSTEM 08 June 2018 10:07

If you have installed OS3.9 correctly you should not have that problem !

PeterK 08 June 2018 13:31

Quote:

Originally Posted by TjLaZer (Post 1247266)
I cannot view some icons I created with OS 3.9. Even on some Glow Icons, I get the big black dot. Even tried Peter K's icon.library and that did not do a thing (can that even be used?) What can I do to ensure I can view the glow icons properly?

Hello TjLaZer, there is no information about your system and the configuration.

Is that on OS 3.1 or OS 3.9?

If it's OS 3.1 then you need to load the icon.library from Libs: as a replacement for the icon.library in the ROM. You can use RemLib from Thomas Rapp at the beginning of your startup-sequence to remove the old library from the resident list:
Code:

If EXISTS Libs:icon.library
  RemLib >NIL: icon.library
EndIf

If it's on OS 3.9 make sure that the ColorIcons and NewIcons are not disabled in Prefs/Workbench.

On both system you can check the version of the installed icon.library from a shell:
Code:

Version icon.library
If this is still v40 then you did something wrong.

tero 08 June 2018 13:59

If you are not on 3.9 :
ClassicWB supports PeterK's library, but needs to be activated.
Go to MyFiles/Install/Icons and start install_icon_support.

AMIGASYSTEM 08 June 2018 15:39

Quote:

Originally Posted by tero (Post 1247298)
If you are not on 3.9 :
ClassicWB supports PeterK's library, but needs to be activated.
Go to MyFiles/Install/Icons and start install_icon_support.

Only ClassicWB "Full" support all Icons 3.9, with ClassicWB LITE, ClassicWB GAEE and ClassicWB P96 will have the same problem.

N.B: To see all the icons must follow the advice of Peter !

tero 08 June 2018 17:03

1 Attachment(s)
Glad you got it working, that's the important part.

So just for Info: ClassicWB ADV, ADVSP and P96 does have the option. In P96 it's found by clicking Drawers/MyFiles/Install/icons
These are the ones i have installed in UAE, and they all except Lite have the option to enable the iconlib.

TjLaZer 09 June 2018 07:48

System is A4000 030, KS 3.1 ROM, and Classic WB ADVSP maybe I need the OS 3.9 version?

PeterK 09 June 2018 08:03

Didn't notice that you're using ClassicWB. In that case the usage of RemLib is not recommended, because ClassicWB is already prepared to use LoadModule.

Sorry, I don't have ClassicWB installed anymore. You need at least one of the last two releases of ClassicWB (v27/28). ADVSP has support for my library. That was the version I once used 4 or 5 years ago. But most other versions should work too.

http://eab.abime.net/showthread.php?t=32153
Quote:

In the normal Workbench versions (currently not the Workbench 2.1 GAAE), PeterKs Icon Library can be easily enabled/disabled as with all other ClassicWB components - using the Settings->Components menu.

In the Scalos versions, you'll find an Install/Remove script in the "MyFiles/Install/Icons" drawer, very similar to how SFS support is added. A Reboot is required to load/flush the relevant LoadModule updates and patches.
If that works you can update the icon.library to the latest version.

TjLaZer 11 June 2018 06:55

Installed the OS 3.9 version and all is good now! Thx

PeterK 11 June 2018 06:59

OS 3.9 is a good decision compared to Scalos 1.2d.


All times are GMT +2. The time now is 12:44.

Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2019, vBulletin Solutions Inc.

Page generated in 0.04218 seconds with 11 queries